[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#609255: KDE upgrading

On Thu, Jan 13, 2011 at 18:32:17 +0100, Sune Vuorela wrote:

> On Thursday 13 January 2011 16:54:11 Julien Cristau wrote:
> > So apt wants to keep kdesktop, while the new kdebase-workspace-bin
> > Breaks it, kdebase-bin Conflicts with it, as does libkonq5-templates.
> > 
> > ModaX, can you clarify why these Breaks/Conflicts are there?
> libkonq5-templates has is a full subset of kdesktop/lenny
> kdebase-workspace-bin contains /usr/bin/kcheckrunning 
> ( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=605135 )
> I don't see why kdebase-bin is there. kcheckrunning might have been in there 
> earlier. but I'm not sure.
> It is btw pretty crucial to get rid of kdesktop. It contains a kdesktop 
> executable, and more important, a kdesktop autostart file.
> > Does anyone see a way out of this?  (Let me know if I can provide more
> > information.)
> a idea could be to provide a transitional kdesktop package depending on 
> plasma-desktop or something like that, and make the conflics versioned?
David suggested to remove the kdesktop alternative from libkonq5's
Depends.  With this, konqueror doesn't get removed anymore.  kdebase
still does, though, because apt decides to keep kwin instead of
installing kde-window-manager (at least as far as I can read the log).
Full log at http://people.debian.org/~jcristau/apt-kde-2.txt


Attachment: signature.asc
Description: Digital signature

Reply to: